Heavy Metall FAKK 2 Problem

Need help with one of the installers?
Lzoril

Heavy Metall FAKK 2 Problem

Post by Lzoril » Tue Nov 01, 2005 14:35

While installing the game with the liflg-installer I get the following message and the installation stops:

loki_setup: Unable to find file 'bin/Linux/x86/glibc-2.1/fakk2' in '/home/user/tmp/selfgz26986'

I dont know how to solve this problem, can anyone help me please?

kratz00
liflg member
Posts: 1662
Joined: Fri Oct 22, 2004 16:23

Post by kratz00 » Tue Nov 01, 2005 14:51

do you have the linux version of fakk2?

for example, it's:
/mnt/cdrom/bin/x86/glibc-2.1/fakk2

don't know why it tries bin/Linux/x86/glibc-2.1/

Lzoril

Post by Lzoril » Tue Nov 01, 2005 15:05

Yes it is the Linux version of the game, first tried the setup.sh on the CD but then it stops with the message:

This installation doesn't support glibc-2.1 on Linux / x86

kratz00
liflg member
Posts: 1662
Joined: Fri Oct 22, 2004 16:23

Post by kratz00 » Tue Nov 01, 2005 15:32

does the file exist in the same path I mentioned?

what system and distri do you have?

Lzoril

Post by Lzoril » Tue Nov 01, 2005 19:10

yes the file exists where it should be, I run Mandriva 2006.

kratz00
liflg member
Posts: 1662
Joined: Fri Oct 22, 2004 16:23

Post by kratz00 » Tue Nov 01, 2005 23:20

are you on x86_64?

as you may noticed there is a 'Linux' to much for you but i don't have an idea where it comes from at the moment

Lzoril

Post by Lzoril » Tue Nov 01, 2005 23:35

x86_64 means 64bit? if so then the answer is no, my system is 32bit

kratz00
liflg member
Posts: 1662
Joined: Fri Oct 22, 2004 16:23

Post by kratz00 » Tue Nov 01, 2005 23:43

yeah x86_64 is 64bit

hm strange why it's looking for

bin/Linux/x86/glibc-2.1/fakk2

instead of

bin/x86/glibc-2.1/fakk2

i'm investigating

kratz00
liflg member
Posts: 1662
Joined: Fri Oct 22, 2004 16:23

Post by kratz00 » Fri Nov 04, 2005 0:12


Lzoril

Post by Lzoril » Fri Nov 04, 2005 8:05

It stops with the following message:

loki_setup: Unable to find file 'bin/x86/glibc-2.1/fakk2' in '/home/user/tmp/selfgz10337'

But I bypassed the problem with this "solution": I installed the Win-version of the game with cedega. I know that is not the right way but now I can play the game...

Thanks a lot for your effort!

kratz00
liflg member
Posts: 1662
Joined: Fri Oct 22, 2004 16:23

Post by kratz00 » Fri Nov 04, 2005 10:01

this is not really a solution

if i see this error again i think it's no a problem of the installer
again it's searching the file on your harddisk and not on any of your mounted cd's

try
export SETUP_CDROM=/where/you/mounted/fakk2cd
and then run the installer (the old one)

Lzoril

Post by Lzoril » Fri Nov 04, 2005 11:09

it prompts the same message as before

kratz00
liflg member
Posts: 1662
Joined: Fri Oct 22, 2004 16:23

Post by kratz00 » Fri Nov 04, 2005 12:23

weird

could you post/describe all steps you do
i have no clue why it's looking for the file in the extraced installer

Lzoril

Post by Lzoril » Fri Nov 04, 2005 20:31

Well I mount the CD and run the installer, thats all. Any other installation worked without errors.

kratz00
liflg member
Posts: 1662
Joined: Fri Oct 22, 2004 16:23

Post by kratz00 » Fri Nov 04, 2005 22:08

please show me a ls -lR of your mounted cd

Post Reply